Name:           dtkcore
Version:        5.6.8.2
Release:        2%{?dist}.01
Summary:        Deepin tool kit core modules
License:        LGPLv3+
URL:            https://github.com/linuxdeepin/dtkcore
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch0001:      0001-LSHW-returns-a-multi-element-array-when-querying-mem.patch

BuildRequires:  gcc-c++
#BuildRequires:  annobin
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  gtest-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  dtkcommon-devel
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  make cmake
BuildRequires:  doxygen libicu-devel
BuildRequires:  uchardet-devel
BuildRequires:  cmake-rpm-macros

Requires:       dtkcommon

# since f30
Obsoletes:      deepin-tool-kit <= 0.3.3
Obsoletes:      deepin-tool-kit-devel <= 0.3.3
Obsoletes:      dtksettings <= 0.1.7
Obsoletes:      dtksettings-devel <= 0.1.7

%description
Deepin tool kit core modules.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       dtkcommon-devel
Requires:       qt5-qtbase-devel%{?_isa}

%description devel
Header files and libraries for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
%cmake

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so*
%{_bindir}/*

%files devel
%doc docs/Specification.md
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_libdir}/cmake/DtkCore/
%{_libdir}/cmake/DtkCMake/
%{_libdir}/cmake/DtkTools/
%{_libdir}/pkgconfig/dtkcore.pc
%{_libdir}/lib%{name}.so
%{_includedir}/dtk5/DCore/*
%{_usr}/lib/debug%{_libdir}/dtk5/DCore/bin/*.debug
%{_libdir}/cmake/DtkDConfig/DtkDConfigConfig.cmake
%{_libdir}/dtk5/DCore/bin/*
%{_libdir}/qt5/mkspecs/features/dtk_install_dconfig.prf
%{_datadir}/qt5/doc/dtkcore.qch


%changelog
* Fri Dec 22 2023 liuzhilin <liuzhilin@uniontech.com> - 5.6.8.2-2.01
- fix: LSHW-returns-a-multi-element-array-when-querying-mem(bugid:228681)

* Tue Oct 10 2023 liweigang <liweiganga@uniontech.com> - 5.6.8.2-2
- spec: change Dcore path

* Mon Oct 09 2023 liweigang <liweiganga@uniontech.com> - 5.6.8.2-1
- update: update to verison 5.6.8.2

* Sun Sep 03 2023 mahailiang <mahailiang@uniontech.com> - 5.6.8-2
- spec: change Dcore path

* Wed Aug 16 2023 liuzhilin <liuzhilin@uniontech.com> - 5.6.8-1
- update: update to 5.6.8

* Fri Dec 23 2022 liweiganga <liweiganga@uniontech.com> - 5.5.35-1
- update: update to 5.5.35

* Mon Jun 13 2022 uoser <uoser@uniontech.com> - 5.5.19-1.02
- update: update to 5.5.19-1.02

